Package org.eclipse.birt.report.engine.api

# Interface IEngineConfig

All Superinterfaces:
  `org.eclipse.birt.core.framework.IPlatformConfig`

All Known Implementing Classes:
  `EngineConfig`

public interface IEngineConfig extends org.eclipse.birt.core.framework.IPlatformConfig

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_RENDER_OPTION`
the default render option which used by all emitters
`static final String`
`EMITTER_CONFIGS`
contains a hashmap which saved the default render options.
`static final String`
`ENGINE_LOGGER`
define the logger used by the report engine.
`static final String`
`FONT_CONFIG`
the user defined font configuration file path.
`static final String`
`LOG_DESTINATION`
`static final String`
`LOG_FILE`
`static final String`
`LOG_LEVEL`
`static final String`
`LOG_MAX_BACKUP_INDEX`
`static final String`
`LOG_ROLLING_SIZE`
`static final String`
`MAX_ROWS_PER_QUERY`
The max rows per query
`static final String`
`REPORT_DOCUMENT_LOCK_MANAGER`
`static final String`
`RESOURCE_LOCATOR`
resource locator used by design engine
`static final String`
`RESOURCE_PATH`
resource path used by design engine
`static final String`
`SCRIPT_OBJECTS`
`static final String`
`STATUS_HANDLER`

### Fields inherited from interface org.eclipse.birt.core.framework.IPlatformConfig

`BIRT_HOME, OSGI_ARGUMENTS, OSGI_CONFIGURATION, PLATFORM_CONTEXT, TEMP_DIR`

## Field Details

### LOG_DESTINATION

static final String LOG_DESTINATION

See Also:
  - Constant Field Values

### LOG_LEVEL

static final String LOG_LEVEL

See Also:
  - Constant Field Values

### LOG_FILE

static final String LOG_FILE

See Also:
  - Constant Field Values

### LOG_ROLLING_SIZE

static final String LOG_ROLLING_SIZE

See Also:
  - Constant Field Values

### LOG_MAX_BACKUP_INDEX

static final String LOG_MAX_BACKUP_INDEX

See Also:
  - Constant Field Values

### ENGINE_LOGGER

static final String ENGINE_LOGGER
define the logger used by the report engine. the value is a java.util.Logger object. The user can change the logger level in the setted logger. It will overides the setting of LOG_DESTINATION and LOG_LEVEL

See Also:
  - Constant Field Values

### REPORT_DOCUMENT_LOCK_MANAGER

static final String REPORT_DOCUMENT_LOCK_MANAGER

See Also:
  - Constant Field Values

### SCRIPT_OBJECTS

static final String SCRIPT_OBJECTS

See Also:
  - Constant Field Values

### EMITTER_CONFIGS

static final String EMITTER_CONFIGS
contains a hashmap which saved the default render options. each key is either a DEFAULT_EMITTER_CONFIG or format or emitter id. each value is a IRenderOption

See Also:
  - Constant Field Values

### DEFAULT_RENDER_OPTION

static final String DEFAULT_RENDER_OPTION
the default render option which used by all emitters

See Also:
  - Constant Field Values

### STATUS_HANDLER

static final String STATUS_HANDLER

See Also:
  - Constant Field Values

### RESOURCE_LOCATOR

static final String RESOURCE_LOCATOR
resource locator used by design engine

See Also:
  - Constant Field Values

### RESOURCE_PATH

static final String RESOURCE_PATH
resource path used by design engine

See Also:
  - Constant Field Values

### FONT_CONFIG

static final String FONT_CONFIG
the user defined font configuration file path.

See Also:
  - Constant Field Values

### MAX_ROWS_PER_QUERY

static final String MAX_ROWS_PER_QUERY
The max rows per query

See Also:
  - Constant Field Values